Main Page Modules Alphabetical List Data Structures File List Data Fields Globals

# import-match-map.h File Reference

Generic import mapper service, maps strings->accounts. More...

`#include "Account.h"`
`#include "gnc-book.h"`

## Some well-known categories
NOTE: You DO NOT have to use these values in your importer -- these are just "well known" values, not "mandatory" values. You are free to use these if they apply, map your own fields to these labels, or create your own category strings.
#define | GNCIMPORT_DESC "desc"
#define | GNCIMPORT_MEMO "memo"
#define | GNCIMPORT_PAYEE "payee"
## Typedefs
typedef _GncImportMatchMap | GncImportMatchMap
## Functions
GncImportMatchMap * | gnc_imap_create_from_account (Account *acc)
GncImportMatchMap * | gnc_imap_create_from_book (GNCBook *book)
void | gnc_imap_destroy (GncImportMatchMap *imap)
void | gnc_imap_clear (GncImportMatchMap *imap)
Account * | gnc_imap_find_account (GncImportMatchMap *imap, const char *category, const char *key)
void | gnc_imap_add_account (GncImportMatchMap *imap, const char *category, const char *key, Account *acc)
Account * | gnc_imap_find_account_bayes (GncImportMatchMap *imap, GList *tokens)
void | gnc_imap_add_account_bayes (GncImportMatchMap *imap, GList *tokens, Account *acc)

## Detailed Description

Generic import mapper service, maps strings->accounts.

An import mapper service that stores Account Maps for the generic importer. This allows importers to map various "strings" to Gnucash accounts in a generic manner.

Author:
  Copyright (C) 2002,2003 Derek Atkins <derek@ihtfp.com>